<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width-device-width, initial-scale=1">

	<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->
	<title>Boothstrap Gid system</title>

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<body class="text-center">
	<h1>Bootstrap Introduction and simple style</h1>

	<!-- two columns -->
	<h2>Two Columns</h2>
	<!-- - The "container-fluid" class makes all the child element span the full width of their parent containers removing any horizontal spaces/padding compared to using a "container" class. -->
	<div class="container-fluid">
		<!-- rows with tow equal column -->
		<h3>1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">
				col-6
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
				col-6
			</div>
		</div>

		<!-- Row with two columns divided -->
		<h3>1:2 Ratio</h3>

		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">col-4</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">col-8</div>
		</div>

		<h3>1:3 Ratio</h3>

		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">col-3</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">col-9</div>
		</div>

	</div>

	<h2>three columns</h2>

	<div class="row text-light">
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">
			col-4
		</div>
		<div class="bg-warning pt-3 pb-3 border border-dark col-4">
			col-4
		</div>
		<div class="bg-danger pt-3 pb-3 border border-dark col-4">
			col-4
		</div>
	</div>

	<h2>1:2:1 ratio</h2>

	<div class="row text-light">
		<div class="bg-primary pt-3 pb-3 border border-dark col-3">
			col-3
		</div>
		<div class="bg-warning pt-3 pb-3 border border-dark col-6">
			col-6
		</div>
		<div class="bg-danger pt-3 pb-3 border border-dark col-3">
			col-3
		</div>
	</div>

	<h2>uneven ratio</h2>

	<div class="row text-light">
		<div class="bg-primary pt-3 pb-3 border border-dark col-3">
			col-3
		</div>
		<div class="bg-warning pt-3 pb-3 border border-dark col-7">
			col-7
		</div>
		<div class="bg-danger pt-3 pb-3 border border-dark col-2">
			col-2
		</div>
	</div>

	<h2>Automatic sizing</h2>
	<div class="container-fluid">
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col">
				auto
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">
				auto
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">
				auto
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">
				auto
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">
				auto
			</div>
		</div>
	</div>

	<h2>Mobile responsive</h2>
	<div class="container-fluid">
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">
			responsive
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">
			responsive
			</div>
		</div>
	</div>

		<!--
		Important Note:
			- This approach is good for dynamic elements in which we have no idea how many columns would be generated in a row.
			- A practical application of this is creating a catalog/products page for an ecommerce website.
			- If the elements inside a row exceed the total amount of 12 columns, the succeeding elements will be displayed below creating multiple layers.
		-->

	<h2>multi column</h2>

	<div class="container-fluid">
		<div class="row text-light">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				Catalog 1
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				Catalog 2
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				Catalog 3
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				Catalog 4
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				Catalog 5
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				Catalog 6
			</div>
		</div>
	</div>

		<!--
		Important Note:
			- The "offset-" class allows to create a specified amount of space from the left side of a layer.
			- Offsetting different layers of columns can help create varying layouts.
		-->

	<h2>Offseting columns</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">
				offset column
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">
				offset column
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">
				offset column
			</div>
		</div>
	</div>

	<h2>column orders</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">
				left
			</div>
			<div class="bg-warning pt-3 pb-3 border border-dark col order-1 order-md-2">
				right
			</div>
		</div>
	</div>


	<!-- js script here -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>